Package twisted :: Package names :: Module common :: Class ResolverBase |
[show private | hide private]
[frames | no frames]

## Class ResolverBase

Known Subclasses:
  `FileAuthority`, `CacheResolver`, `Resolver`, `ResolverChain`

Method Summary
| `__init__(self)`
| `getHostByName(self, name, timeout, effort)`
| `lookupAddress(self, name, timeout)`
| `lookupAddress6(self, name, timeout)`
| `lookupAFSDatabase(self, name, timeout)`
| `lookupAllRecords(self, name, timeout)`
| `lookupAuthority(self, name, timeout)`
| `lookupCanonicalName(self, name, timeout)`
| `lookupHostInfo(self, name, timeout)`
| `lookupIPV6Address(self, name, timeout)`
| `lookupMailBox(self, name, timeout)`
| `lookupMailboxInfo(self, name, timeout)`
| `lookupMailExchange(self, name, timeout)`
| `lookupMailGroup(self, name, timeout)`
| `lookupMailRename(self, name, timeout)`
| `lookupNameservers(self, name, timeout)`
| `lookupNull(self, name, timeout)`
| `lookupPointer(self, name, timeout)`
| `lookupResponsibility(self, name, timeout)`
| `lookupService(self, name, timeout)`
| `lookupText(self, name, timeout)`
| `lookupWellKnownServices(self, name, timeout)`
| `lookupZone(self, name, timeout)`
| `query(self, query, timeout)`
| `_cbRecords(self, (ans, auth, add), name, effort)`
| `_lookup(self, name, cls, type, timeout)`

Class Variable Summary
`NoneType` | `typeToMethod`

Class Variable Details

    ### typeToMethod Type: `NoneType` Value:
        None

Generated by Epydoc 1.1 on Thu May 8 13:18:34 2003 | http://epydoc.sf.net